Skip to content

통합 목록 조회

get

/cdi/integrations

이 엔드포인트를 사용하여 기존 통합 목록을 반환합니다.

사용량 제한

이 엔드포인트는 분당 50건의 요청으로 사용량 제한이 적용됩니다.

쿼리 매개변수

이 엔드포인트에 대한 각 호출은 10개의 항목을 반환합니다. 10개가 넘는 통합이 있는 목록의 경우, 예시 응답에 표시된 것처럼 Link 헤더를 사용하여 다음 페이지의 데이터를 검색합니다.

매개변수 필수 데이터 유형 설명
cursor 선택 사항 문자열 통합 목록의 페이지 매김을 결정합니다.

요청 예시

커서 없음

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

커서 포함

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

응답

성공 응답 예시

200 상태 코드는 다음과 같은 응답 본문을 반환할 수 있습니다.

1
Link: </cdi/integrations?cursor=c2tpcDow>; rel="prev",</cdi/integrations?cursor=c2tpcDoxMDA=>; rel="next"
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
{
  "results": [
    {
      "integration_id": (string) integration ID,
      "app_group_id": (string) app group ID,
      "integration_name": (string) integration name,
      "integration_type": (string) integration type,
      "integration_status": (string) integration status,
      "contact_emails": (string) contact email(s),
      "last_updated_at": (string) last timestamp that was synced in ISO 8601,
      "warehouse_type": (string) data warehouse type,
      "last_job_start_time": (string) timestamp of the last sync run in ISO 8601,
      "last_job_status": (string) status of the last sync run,
      "next_scheduled_run": (string) timestamp of the next scheduled sync in ISO 8601
    }
  ],
  "message": "success"
}

문제 해결

다음 표에는 반환될 수 있는 오류와 관련 문제 해결 단계가 나와 있습니다.

오류 문제 해결
400 Invalid cursor cursor가 유효한지 확인합니다.

추가 상태 코드 및 관련 오류 메시지는 심각한 오류 및 응답을 참조하세요.

New Stuff!